# -*- coding: utf-8 -*-
# Generated by Django 1.10.8 on 2019-03-21 07:06
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
    ]

    operations = [
        migrations.CreateModel(
            name='FlatPage_i18n',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('machine_name', models.CharField(blank=True, default=None, max_length=255, null=True, verbose_name='machine name')),
                ('url', models.CharField(db_index=True, help_text="Example: '/about/contact/'. Make sure to have leading and trailing slashes.", max_length=100, verbose_name='URL')),
                ('url_sk', models.CharField(db_index=True, help_text="Example: '/about/contact/'. Make sure to have leading and trailing slashes.", max_length=100, null=True, verbose_name='URL')),
                ('title', models.CharField(max_length=200, verbose_name='title')),
                ('title_sk', models.CharField(max_length=200, null=True, verbose_name='title')),
                ('content', models.TextField(blank=True, verbose_name='content')),
                ('content_sk', models.TextField(blank=True, null=True, verbose_name='content')),
                ('template_name', models.CharField(blank=True, help_text="Example: 'flatpages_i18n/contact_page.html'. If this isn't provided, the system will use 'flatpages_i18n/default.html'.", max_length=70, verbose_name='template name')),
                ('registration_required', models.BooleanField(default=False, help_text='If this is checked, only logged-in users will be able to view the page.', verbose_name='registration required')),
                ('weight', models.IntegerField(blank=True, choices=[(-10, -10), (-9, -9), (-8, -8), (-7, -7), (-6, -6), (-5, -5), (-4, -4), (-3, -3), (-2, -2), (-1, -1), (0, 0), (1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8), (9, 9)], default=0, null=True, verbose_name='weight')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='modified')),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='flatpages_i18n.FlatPage_i18n')),
                ('sites', models.ManyToManyField(to='sites.Site')),
            ],
            options={
                'ordering': ('weight', 'created'),
                'verbose_name': 'flat page',
                'verbose_name_plural': 'flat pages',
            },
        ),
        migrations.CreateModel(
            name='MenuItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('machine_name', models.CharField(blank=True, default=None, max_length=255, null=True, verbose_name='machine name')),
                ('custom_link', models.CharField(blank=True, default=None, max_length=255, null=True, verbose_name='custom link')),
                ('has_custom_link', models.BooleanField(default=False, verbose_name='has custom link')),
                ('target', models.CharField(choices=[(b'_blank', 'Opens the linked document in a new window or tab'), (b'_self', 'Opens the linked document in the same frame as it was clicked'), (b'_parent', 'Opens the linked document in the parent frame'), (b'_top', 'Opens the linked document in the full body of the window')], default=b'_self', max_length=7, verbose_name='target')),
                ('title', models.CharField(blank=True, default=None, max_length=255, null=True, verbose_name='title')),
                ('title_sk', models.CharField(blank=True, default=None, max_length=255, null=True, verbose_name='title')),
                ('weight', models.IntegerField(blank=True, choices=[(-10, -10), (-9, -9), (-8, -8), (-7, -7), (-6, -6), (-5, -5), (-4, -4), (-3, -3), (-2, -2), (-1, -1), (0, 0), (1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8), (9, 9)], default=0, null=True, verbose_name='weight')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='modified')),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('flatpage', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='flatpages_i18n.FlatPage_i18n', verbose_name='flatpage')),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='flatpages_i18n.MenuItem')),
            ],
            options={
                'ordering': ('weight', 'created'),
                'verbose_name': 'menu item',
                'verbose_name_plural': 'menu items',
            },
        ),
    ]
